aboutsummaryrefslogtreecommitdiff
path: root/ci/before_script.sh
diff options
context:
space:
mode:
authorJakob Schnitzer <mail@jakobschnitzer.de>2017-04-24 11:35:10 +0200
committerJakob Schnitzer <mail@jakobschnitzer.de>2017-04-24 11:35:10 +0200
commitff8b2eb435c518f0eafd0e509afe1f5ee4a81fd1 (patch)
tree526b1df09b06121bdbc6ef5254ef53821958a6cb /ci/before_script.sh
parent4049492b6d7b8805686b14dbacb3b729abd03308 (diff)
parent7f6d3d305269fd1139bc2aec9a91bf98ad595199 (diff)
downloadrneovim-ff8b2eb435c518f0eafd0e509afe1f5ee4a81fd1.tar.gz
rneovim-ff8b2eb435c518f0eafd0e509afe1f5ee4a81fd1.tar.bz2
rneovim-ff8b2eb435c518f0eafd0e509afe1f5ee4a81fd1.zip
Merge branch 'master' into option-fixes
Diffstat (limited to 'ci/before_script.sh')
-rwxr-xr-xci/before_script.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/ci/before_script.sh b/ci/before_script.sh
new file mode 100755
index 0000000000..445996a8df
--- /dev/null
+++ b/ci/before_script.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+if [[ "${CI_TARGET}" == lint ]]; then
+ exit
+fi
+
+CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+source "${CI_DIR}/common/build.sh"
+
+# Test some of the configuration variables.
+if [[ -n "${GCOV}" ]] && [[ ! $(type -P "${GCOV}") ]]; then
+ echo "\$GCOV: '${GCOV}' is not executable."
+ exit 1
+fi
+if [[ -n "${LLVM_SYMBOLIZER}" ]] && [[ ! $(type -P "${LLVM_SYMBOLIZER}") ]]; then
+ echo "\$LLVM_SYMBOLIZER: '${LLVM_SYMBOLIZER}' is not executable."
+ exit 1
+fi
+
+if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
+ # Adds user to a dummy group.
+ # That allows to test changing the group of the file by `os_fchown`.
+ sudo dscl . -create /Groups/chown_test
+ sudo dscl . -append /Groups/chown_test GroupMembership "${USER}"
+fi
+
+# Compile dependencies.
+build_deps
+
+rm -rf "${LOG_DIR}"
+mkdir -p "${LOG_DIR}"